import React from "react";
import { IKeyBackupInfo } from "matrix-js-sdk/src/crypto/keybackup";
interface IProps {
    newVersionInfo: IKeyBackupInfo;
    onFinished(): void;
}
export default class NewRecoveryMethodDialog extends React.PureComponent<IProps> {
    private onOkClick;
    private onGoToSettingsClick;
    private onSetupClick;
    render(): React.ReactNode;
}
export {};
